Subject: Re: [BUG almost bisected] Splat in dequeue_rt_stack() and build error

From: Peter Zijlstra <[email-masked]>
Date: Mon, 7 Oct 2024 11:34:12 +0200

On Sun, Oct 06, 2024 at 01:44:53PM -0700, Paul E. McKenney wrote:

> > I've given it 200*20m and the worst I got was one dl-server double
> > enqueue. I'll go stare at that I suppose.
> 
> With your patch, I got 24 failures out of 100 TREE03 runs of 18 hours
> each.  The failures were different, though, mostly involving boost
> failures in which RCU priority boosting didn't actually result in the
> low-priority readers getting boosted.  An ftrace/event-trace dump of
> such a situation is shown below.

Urgh, WTF and more of that. Let me go ponder things.

Thanks for testing.